Package: org.apache.groovy.parser.antlr4

## [Java] Class AbstractLexer

- org.apache.groovy.parser.antlr4.AbstractLexer

- All Implemented Interfaces and Traits:
    SyntaxErrorReportable

      public abstract class AbstractLexer
      extends Lexer
      implements SyntaxErrorReportable

  Because antlr4 does not support generating lexer with specified interface, we have to create a super class for it and implement the interface.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Lexer` | `DEFAULT_MODE, MORE, SKIP, DEFAULT_TOKEN_CHANNEL, HIDDEN, MIN_CHAR_VALUE, MAX_CHAR_VALUE, _input, _token, _tokenStartCharIndex, _tokenStartLine, _tokenStartCharPositionInLine, _hitEOF, _channel, _type, _modeStack, _mode, _text, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractLexer (CharStream input)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Lexer` | `nextToken, getType, mode, skip, reset, getInputStream, getInputStream, getChannel, more, getText, setText, setType, recover, recover, setInputStream, emit, emit, getToken, getLine, getSourceName, notifyListeners, getCharPositionInLine, popMode, setChannel, getTokenNames, getChannelNames, getModeNames, getAllTokens, emitEOF, pushMode, getCharIndex, setToken, getErrorDisplay, getErrorDisplay, setLine, getTokenFactory, setTokenFactory, getCharErrorDisplay, setCharPositionInLine, action, getState, setState, removeErrorListeners, getVocabulary, getSerializedATN, getGrammarFileName, sempred, getTokenTypeMap, getTokenType, getParseInfo, getErrorHeader, getRuleIndexMap, getErrorListeners, precpred, getRuleNames, setInterpreter, getATN, getInterpreter, addErrorListener, getErrorListenerDispatch, removeErrorListener, getTokenErrorDisplay, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AbstractLexer(CharStream input)